if (pinv.getSlotContainingItem(340) < 1 && etat_assistantrcist == 5)
{
sound.playSoundUI("sound.dialogues");
chat.print("Bring me back my book.");
}

if (etat_assistantrcist < 1)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Assistant> The librarian lady scares the hell out of me so I hide in here...")
}

if (etat_assistantrcist == 1)
{
etat_assistantrcist=15;
sound.playSoundUI("sound.dialogues");
chat.print("<Assistant> What ? The librarian lady is searching for me ?");
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("Brr...");
time.sleep(3)
sound.playSoundUI("sound.dialogues");
chat.print("No. No No No.");
time.sleep(3)
sound.playSoundUI("sound.dialogues");
chat.print("I refuse to go, she scares me too much.");
time.sleep(4)
sound.playSoundUI("sound.dialogues");
chat.print("What do you say ? You need a bomb bag ?");
time.sleep(4)
sound.playSoundUI("sound.dialogues");
chat.print("Brr... BRRRR...");
time.sleep(3)
sound.playSoundUI("sound.dialogues");
chat.print("All right, I guess I can come back, but on one condition.");
time.sleep(5)
sound.playSoundUI("sound.dialogues");
chat.print("I need you to bring back my favorite book.");
time.sleep(5)
sound.playSoundUI("sound.dialogues");
chat.print("I lost it somewhere in the library.");
time.sleep(3)
sound.playSoundUI("sound.dialogues");
chat.print("...");
time.sleep(3)
sound.playSoundUI("sound.dialogues");
chat.print("I don't know if it helps, but I found this on the floor.");
time.sleep(4)
sound.playSoundUI("sound.réussite");
chat.print("You get a key.")
pinv.addItem(Item(457));
etat_assistantrcist=5;
}

if (pinv.getSlotContainingItem(340) != -1 && etat_assistantrcist == 5)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Assistant> You found it ??");
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("Noooo.");
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("...");
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("Alright, I'll do my part of the agreement...");
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("I'll go back to her now.");
time.sleep(4);
pinv.consumeItemAmount(340,0,1);
entity.setPosition(-247, 28, -6);
etat_assistantrcist=2;
etat_bibliothecairercist=2;
}

if (etat_assistantrcist == 2)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Assistant> Sigh...");
}
